import { View } from "@tarojs/components";
import HotBlock from "../HotBlock";
import './room.scss'
import lockImg from '../../assets/lock.png'
import preselectionImg from '../../assets/preselection.png'
import chipsImg from '../../assets/chips.png'

export default function Room(props) {
  const { roomName, heat, realHeat, price, apartmentName, status } = props.dataset || {}
  // const personNum = `(${realHeat + heat + 0}人)`
  const personNum = realHeat + heat + 0

  const handleClick = () => {
    if (props.onClick) {
      props.onClick(props.dataset || {})
    }
  }

  return (
    <HotBlock number={heat + realHeat + 0}>
      {status == '1' && <View className="room" onClick={handleClick}>
        <View className="roomname">{roomName || ''}</View>
        <View className="yuxuan">{personNum}预选</View>
        <View className="yuxuan">{personNum}认筹</View>
        <Image src={preselectionImg} className="preselection-img"></Image>
        <Image src={chipsImg} className="chips-img"></Image>
        <Image src={lockImg} className="lock-img"></Image>
        
       
      </View>}

    </HotBlock>
  )
}
